#version 300 es
precision mediump float;

uniform vec2 u_display_size;
uniform float u_gradient_amount;
uniform float u_aura_amount;
uniform vec3 u_mapped_color;

in vec2 v_uv;  // From vertex shader
out vec4 fragColor;

void main() {
    vec2 uv = v_uv;

    // Simple gradient
    float gradient = uv.y * u_gradient_amount;

    // Aura effect (radial distance)
    float aura = distance(uv, vec2(0.5, 0.5)) * u_aura_amount;

    vec3 finalColor = u_mapped_color * gradient * aura;

    fragColor = vec4(finalColor, 1.0);
}
