#version 300 es
precision mediump float;

uniform vec2 u_display_size;
uniform float u_rotation;
uniform float u_scale;
uniform vec3 u_mapped_color;

in vec2 v_uv;  // From vertex shader
out vec4 fragColor;

const float PI = 3.141592653589793238462643383279502884197169399375105820974944;

mat2 rotationMatrix(float angle) {
    return mat2(cos(angle), -sin(angle), sin(angle), cos(angle));
}

void main() {
    vec2 size = u_display_size;

    // Scale UV
    vec2 uv = (v_uv - 0.5) * u_scale + 0.5;

    // Rotate UV
    uv = rotationMatrix(u_rotation) * (uv - 0.5) + 0.5;

    fragColor = vec4(u_mapped_color, 1.0);
}
